Skip to main content
PATCH
/
v1
/
dataset_snapshot
/
{dataset_snapshot_id}
Partially update dataset_snapshot
curl --request PATCH \
  --url https://api.braintrust.dev/v1/dataset_snapshot/{dataset_snapshot_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "xact_id": "<string>",
  "created": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Most Braintrust endpoints are authenticated by providing your API key as a header Authorization: Bearer [api_key] to your HTTP request. You can create an API key in the Braintrust organization settings page.

Path Parameters

dataset_snapshot_id
string<uuid>
required

DatasetSnapshot id

Body

application/json

Fields to update

name
string | null

Name of the dataset snapshot

description
string | null

Textual description of the dataset snapshot

Response

Returns the dataset_snapshot object

id
string<uuid>
required

Unique identifier for the dataset snapshot

dataset_id
string<uuid>
required

Unique identifier for the dataset that this snapshot belongs to

name
string
required

Name of the dataset snapshot

description
string | null
required
xact_id
string
required

Transaction id of the brainstore version at the time of the snapshot

created
string<date-time> | null
required

Date of dataset snapshot creation